package org.bench4q.share.models.agent;

import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "testDetailStatus")
public class TestDetailStatusModel {
	private Date startDate;
	private long elapsedTime;
	private int successCount;
	private int failCount;
	private int finishedCount;
	private int totalCount;
	private double averageResponseTime;
	private List<TestDetailModel> testDetailModels;

	@XmlElement
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	@XmlElement
	public long getElapsedTime() {
		return elapsedTime;
	}

	public void setElapsedTime(long elapsedTime) {
		this.elapsedTime = elapsedTime;
	}

	@XmlElement
	public int getSuccessCount() {
		return successCount;
	}

	public void setSuccessCount(int successCount) {
		this.successCount = successCount;
	}

	@XmlElement
	public int getFailCount() {
		return failCount;
	}

	public void setFailCount(int failCount) {
		this.failCount = failCount;
	}

	@XmlElement
	public int getFinishedCount() {
		return finishedCount;
	}

	public void setFinishedCount(int finishedCount) {
		this.finishedCount = finishedCount;
	}

	@XmlElement
	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	@XmlElement
	public double getAverageResponseTime() {
		return averageResponseTime;
	}

	public void setAverageResponseTime(double averageResponseTime) {
		this.averageResponseTime = averageResponseTime;
	}

	@XmlElementWrapper(name = "testDetails")
	@XmlElement(name = "testDetail")
	public List<TestDetailModel> getTestDetailModels() {
		return testDetailModels;
	}

	public void setTestDetailModels(List<TestDetailModel> testDetailModels) {
		this.testDetailModels = testDetailModels;
	}

}
